print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local lemonadeHudFile = "Paletten/hud_fill_lemonade.dds"
	local lemonadeHudFileSmall = "Paletten/hud_fill_lemonade_smal.dds"
	
    local lemonadeFilType = g_fillTypeManager:addFillType("LEMONADE", g_i18n:getText("lemonade"), true, pricebeer * 1.2, 0.00045, math.rad(10), lemonadeHudFile, lemonadeHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local haslemonade=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	haslemonade=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "LEMONADE" then
		haslemonade=true
	end;
		
end;

		if hasmaize and not haslemonade then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("LEMONADE")
		local price = g_fillTypeManager:getFillTypeByName("LEMONADE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("LEMONADE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)